Enneo

Quality Management

List quality scorecards

GET /quality/scorecard

GET /quality/scorecard

Get a list of all quality scorecards with optional state filter

Query parameters

statestringquery

Filter by scorecard state (comma-separated list). Allowed values: draft, active, retired, deleted. Defaults to only active scorecards if not provided.

Responses

200 — List of quality scorecards

Response Example

[
  {
    "id": 1,
    "baseId": 1,
    "revision": 1,
    "name": "Junior agent standard review",
    "state": "active",
    "categoryCount": 3,
    "categories": [
      {
        "categoryId": 1,
        "label": "string",
        "order": 1,
        "criteria": [
          {
            "id": 1,
            "label": "string",
            "description": "string",
            "maxPoints": 1,
            "scoringType": "metNotMet",
            "autoGenerateByAi": true,
            "assessmentPrompt": "string",
            "makeOrBreakForCategory": true,
            "makeOrBreakForAssessment": true
          }
        ]
      }
    ],
    "assignment": {
      "ticketTags": [
        1
      ],
      "teams": [
        1
      ],
      "channels": [
        "string"
      ],
      "responseContexts": [
        "afterCustomerMessage"
      ]
    },
    "liveCoach": {
      "enabled": false,
      "threshold": 85
    },
    "createdBy": 1,
    "modifiedBy": 1,
    "createdAt": "2026-01-01T12:00:00Z",
    "modifiedAt": "2026-01-01T12:00:00Z",
    "canEdit": true
  }
]

403 — Unauthorized

500 — Internal error